POST/categorize

Categorize

Limitações#

A lista transactions pode conter até 5000 elementos a serem categorizados por solicitação. Se você precisar categorizar mais de 5000 transactions, divida-os em várias solicitações.

Request Body

object
clientUserIdstring

_identifier for the user (ie. email or cpf)_

isBusinessboolean

If the holder is a Business, if not is a Person.

Default: false

accountTypestring

Type of the account holder of the transactions

CHECKINGCREDIT_CARD

Default: "CHECKING"

transactionsobject[]

Transactions to enrich, max 5000

itemsobject

Example

json
{
  "clientUserId": "string",
  "isBusiness": false,
  "accountType": "CHECKING",
  "transactions": [
    {
      "id": "string",
      "description": "string",
      "type": "CREDIT",
      "amount": 0,
      "date": "string",
      "paymentData": {
        "paymentMethod": "string",
        "reason": "string",
        "payer": {
          "name": "string",
          "accountNumber": "string",
          "branchNumber": "string",
          "routingNumber": "string",
          "documentNumber": {}
        },
        "receiver": {}
      },
      "creditCardMetadata": {
        "payeeMCC": "string"
      }
    }
  ]
}

Responses

200200
object
resultsobject[]
itemsobject

Example response

json
{
  "results": [
    {
      "id": "12345",
      "date": "2022-05-01T00:00:00.000Z",
      "description": "Mc Donalds",
      "type": "DEBIT",
      "amount": 100,
      "category": "Eating out",
      "merchant": {
        "name": "mc donalds",
        "businessName": "ARCOS DOURADOS COMERCIO DE ALIMENTOS LTDA",
        "cnpj": "42.591.651/0001-43"
      }
    }
  ]
}
curl -X POST \
'https://enrichment-api.pluggy.ai/categorize' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'
Resposta de exemplo
{
"results": [
{
"id": "12345",
"date": "2022-05-01T00:00:00.000Z",
"description": "Mc Donalds",
"type": "DEBIT",
"amount": 100,
"category": "Eating out",
"merchant": {
"name": "mc donalds",
"businessName": "ARCOS DOURADOS COMERCIO DE ALIMENTOS LTDA",
"cnpj": "42.591.651/0001-43"
}
}
]
}